org.springframework.orm.hibernate5

## Class SpringFlushSynchronization

- java.lang.Object
- - org.springframework.orm.hibernate5.SpringFlushSynchronization

- All Implemented Interfaces:
    Flushable, Ordered, TransactionSynchronization

      public class SpringFlushSynchronization
      extends Object
      implements TransactionSynchronization

  Simple synchronization adapter that propagates a `flush()` call to the underlying Hibernate Session. Used in combination with JTA.
  Since:
    4.2
  Author:
    Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.transaction.support.TransactionSynchronization

      `STATUS_COMMITTED, STATUS_ROLLED_BACK, STATUS_UNKNOWN`

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringFlushSynchronization(Session session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `void` | `flush()` Flush the underlying session to the datastore, if applicable: for example, a Hibernate/JPA session.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.transaction.support.TransactionSynchronization

      `afterCommit, afterCompletion, beforeCommit, beforeCompletion, getOrder, resume, suspend`

- - ### Constructor Detail

    - #### SpringFlushSynchronization

          public SpringFlushSynchronization(Session session)

  - ### Method Detail

    - #### flush

          public void flush()

      Description copied from interface: `TransactionSynchronization`
      Flush the underlying session to the datastore, if applicable: for example, a Hibernate/JPA session.
      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in interface `TransactionSynchronization`
      See Also:
        `TransactionStatus.flush()`

    - #### equals

          public boolean equals(@Nullable
                                Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`